# Email Helper

The Email Helper provides some assistive functions for working with Email. For a more robust email solution, see CodeIgniter’s Email Class.

Important

The Email helper is DEPRECATED and is currently only kept for backwards compatibility.

- Loading this Helper
- Available Functions

## Loading this Helper

This helper is loaded using the following code:

    $this->load->helper('email');

## Available Functions

The following functions are available:

`valid_email`($email)

  Parameters:

  - $email (string) – E-mail address

  Returns: | TRUE if a valid email is supplied, FALSE otherwise
  Return type: | bool

  Checks if the input is a correctly formatted e-mail address. Note that is doesn’t actually prove that the address will be able recieve mail, but simply that it is a validly formed address.

  Example:

      if (valid_email('email@somesite.com'))
      {
              echo 'email is valid';
      }
      else
      {
              echo 'email is not valid';
      }

  Note

  All that this function does is to use PHP’s native `filter_var()`:

      (bool) filter_var($email, FILTER_VALIDATE_EMAIL);

`send_email`($recipient, $subject, $message)

  Parameters:

  - $recipient (string) – E-mail address
  - $subject (string) – Mail subject
  - $message (string) – Message body

  Returns: | TRUE if the mail was successfully sent, FALSE in case of an error
  Return type: | bool

  Sends an email using PHP’s native mail() function.

  Note

  All that this function does is to use PHP’s native `mail`

      mail($recipient, $subject, $message);

  For a more robust email solution, see CodeIgniter’s Email Library.